Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.registry
Interface BulkResponse

All Superinterfaces:
  JAXRResponse

public interface BulkResponse
extends JAXRResponse

Contains the response of a method in the API that performs a bulk operation and returns a bulk response. Partial commits are allowed on a bulk operation. In the event of a partial success where only a subset of objects were processed successfully, the getStatus method of the BulkResponse must return JAXRResponse.STATUS_WARNING. In this case, a Collection of JAXRException instances is included in the BulkResponse instance. The JAXRExceptions provide information on each error that prevented some objects in the request to not be processed successfully.

Version:
  $Revision: 1.1 $
Author:
  Scott.Stark@jboss.org, Farrukh S. Najmi (javadoc)

Field Summary

Fields inherited from interface javax.xml.registry.JAXRResponse
`STATUS_FAILURE, STATUS_SUCCESS, STATUS_UNAVAILABLE, STATUS_WARNING`

Method Summary
`Collection` | `getCollection()`
`Collection` | `getExceptions()`
`boolean` | `isPartialResponse()`

Methods inherited from interface javax.xml.registry.JAXRResponse
`getRequestId, getStatus, isAvailable`

Method Detail

### getCollection

    public Collection getCollection()
                             throws JAXRException

  Throws:
    `JAXRException`

### getExceptions

    public Collection getExceptions()
                             throws JAXRException

  Throws:
    `JAXRException`

### isPartialResponse

    public boolean isPartialResponse()
                              throws JAXRException

  Throws:
    `JAXRException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.